/*
Copyright (c) Members of the EGEE Collaboration. 2004.
See http://www.eu-egee.org/partners/ for details on the
copyright holders.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

/*
  
  DispatcherFromFileList suite
  
  Authors: Paolo Andreetto <paolo.andreetto@pd.infn.it>
  
  Version info: $Id: DispatcherFromFileList_cu_suite.cpp,v 1.2.38.1.6.2 2010/04/07 14:02:46 mcecchi Exp $
  Release: $Name: glite-wms-manager_R_3_4_0_6 $
  
 */

#include "DispatcherFromFileList_cu_suite.h"

using namespace CppUnit;

/* 
    **********************************************************

      Mock functions and objects

    ********************************************************** 
*/

namespace glite {
namespace wms {
namespace manager {
namespace server {

int signal_counter=0;

void signal_handling_init(){
  signal_counter=2;
}

bool received_quit_signal(){
  signal_counter--;
  return !signal_counter;
}

} // server
} // manager
} // wms
} // glite



/* 
    **********************************************************

      Unit suite methods

    ********************************************************** 
*/

void
DispatcherFromFileList_test::setUp()
{
  std::string file("dispatch.list");

  signal_handling_init();

  boost::shared_ptr<DispatcherFromFileList::extractor_type> extractor(new DispatcherFromFileList::extractor_type(file));
  if (!extractor || !(dispatcher = new DispatcherFromFileList(extractor))) {
    cerr << "cannot build FileList extractor" << endl;
    exit(1);
  }

}

void
DispatcherFromFileList_test::tearDown()
{
  if(dispatcher) delete dispatcher;
}

void
DispatcherFromFileList_test::test_simple_run()
{
  glite::wms::common::task::PipeWriteEnd<boost::shared_ptr<Request> > pipe;
  dispatcher->run(pipe);

}


