/*
  
  Mock JobController header file
  
  Authors: Paolo Andreetto <paolo.andreetto@pd.infn.it>
  Copyright (c) Members of the EGEE Collaboration. 2009. 
  See http://www.eu-egee.org/partners/ for details on the copyright holders.  

  Licensed under the Apache License, Version 2.0 (the "License"); 
  you may not use this file except in compliance with the License. 
  You may obtain a copy of the License at 
      http://www.apache.org/licenses/LICENSE-2.0 
  Unless required by applicable law or agreed to in writing, software 
  distributed under the License is distributed on an "AS IS" BASIS, 
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
  See the License for the specific language governing permissions and 
  limitations under the License.
  
  Version info: $Id: JobController.h,v 1.1.44.1 2009/06/18 08:33:29 fcapanni Exp $
  
 */

#include <glite/jobid/JobId.h>
#include "glite/lb/producer.h"

namespace classad { class ClassAd; }

namespace glite { 
  namespace wms { 
    namespace jobsubmission { 
      namespace controller {

class JobController
{
public:
  JobController( edg_wll_Context *cont = NULL );
  ~JobController( void );
                                                                                                                            
  int submit( const classad::ClassAd *ad );
  bool cancel( const glite::jobid::JobId &id, const char *logfile = NULL, bool force = false );
  bool cancel( int condorid, const char *logfile = NULL, bool force = true );                                                                                                                            
};

      }
    }
  }
}
