/*
  Copyright (c) Members of the EGEE Collaboration. 2009. 
  See http://www.eu-egee.org/partners/ for details on the copyright holders.  

  Licensed under the Apache License, Version 2.0 (the "License"); 
  you may not use this file except in compliance with the License. 
  You may obtain a copy of the License at 
      http://www.apache.org/licenses/LICENSE-2.0 
  Unless required by applicable law or agreed to in writing, software 
  distributed under the License is distributed on an "AS IS" BASIS, 
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
  See the License for the specific language governing permissions and 
  limitations under the License.
 
  WMFactory header file
  
  Authors: Paolo Andreetto <paolo.andreetto@pd.infn.it>
  
  Version info: $Id: WMFactory_cu_suite.h,v 1.1.38.1.6.2 2010/04/07 14:02:46 mcecchi Exp $
  Release: $Name: glite-wms-manager_R_3_4_0_6 $
  
 */

//#include <cppunit/TestCase.h>
#include <cppunit/TestSuite.h>
#include <cppunit/TestCaller.h>
#include <cppunit/XmlOutputter.h>
#include <cppunit/TextOutputter.h>
#include <cppunit/extensions/HelperMacros.h>
#include <cppunit/ui/text/TestRunner.h>
#include <cppunit/TestRunner.h>
#include <cppunit/TestResult.h>
#include <cppunit/TestResultCollector.h>
#include <iostream>
#include "../src/common/WMFactory.h"
#include "../src/common/WMImpl.h"

using namespace CppUnit;
using namespace std;
using namespace glite::wms::manager::common;


class WMTest: public WMImpl
{
public:
  void submit(classad::ClassAd const* request_ad);
  void cancel(glite::jobid::JobId const& request_id);
};






class WMFactory_test : public CppUnit::TestFixture {

CPPUNIT_TEST_SUITE( WMFactory_test );
CPPUNIT_TEST( test_create_wm );
CPPUNIT_TEST( test_register_wm );
CPPUNIT_TEST( test_unregister_wm );
CPPUNIT_TEST_EXCEPTION( test_create_unexisting_wm, NoCreateWMException );
CPPUNIT_TEST( test_unregister_unexisting_wm );
CPPUNIT_TEST( test_register_existing_wm );
CPPUNIT_TEST_SUITE_END();

private:
 WMFactory *factory;

public:

 void setUp();
 void tearDown();
 void test_create_wm();
 void test_register_wm();
 void test_unregister_wm();
 void test_create_unexisting_wm();
 void test_unregister_unexisting_wm();
 void test_register_existing_wm();
};




