/*
Copyright (c) Members of the EGEE Collaboration. 2004.
See http://www.eu-egee.org/partners/ for details on the
copyright holders.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

/*
  
  WMReal main
  
  Authors: Paolo Andreetto <paolo.andreetto@pd.infn.it>
  
  Version info: $Id: WMReal_cu_main.cpp,v 1.1.38.1.6.2 2010/04/07 14:02:46 mcecchi Exp $
  Release: $Name: glite-wms-manager_R_3_4_0_6 $
  
 */

#include <iostream>
#include <fstream>
#include "WMReal_cu_suite.h"
#include "config.h"

using namespace CppUnit;

#define REPORT_FILE REPORT_DIR "/WMReal_cu.xml"

int main (int argc , char** argv)
{
  std::ofstream xml(REPORT_FILE,ios::app);
  if(!xml) {
    std::cerr << "Cannot open " << REPORT_FILE << endl;
    return 1;
  }

  CppUnit::TestResult controller;
  CppUnit::TestResultCollector result;
  controller.addListener( &result );
  TestRunner runner;
  runner.addTest( WMReal_test::suite());
  runner.run(controller);
  CppUnit::XmlOutputter outputter( &result, xml );
  CppUnit::TextOutputter outputter2( &result, std::cerr );
  outputter.write();
  outputter2.write();
	
  return result.wasSuccessful() ? 0 : 1 ;
}


