/*
  Copyright (c) Members of the EGEE Collaboration. 2009. 
  See http://www.eu-egee.org/partners/ for details on the copyright holders.  

  Licensed under the Apache License, Version 2.0 (the "License"); 
  you may not use this file except in compliance with the License. 
  You may obtain a copy of the License at 
      http://www.apache.org/licenses/LICENSE-2.0 
  Unless required by applicable law or agreed to in writing, software 
  distributed under the License is distributed on an "AS IS" BASIS, 
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
  See the License for the specific language governing permissions and 
  limitations under the License.
 
  WMReal suite
  
  Authors: Paolo Andreetto <paolo.andreetto@pd.infn.it>
  
  Version info: $Id: WMReal_cu_suite.cpp,v 1.4.38.1.6.2 2010/04/07 14:02:46 mcecchi Exp $
  Release: $Name: glite-wms-manager_R_3_4_0_6 $
  
 */

#include "WMReal_cu_suite.h"
#include "glite/wms/jdl/ManipulationExceptions.h"

using namespace CppUnit;
using namespace classad;

void
WMReal_test::setUp()
{
  wm_real = new WMReal();

}

void
WMReal_test::tearDown()
{
  if (wm_real) {
    delete wm_real;
  }
}

void
WMReal_test::test_submit()
{
  std::string jobid_key("edg_jobid");
  std::string jobid_value("https://lxb1420.cern.ch:9000/BqXQcCpXqnF92nvj94PZVw");
  std::string seqcode_key("LB_sequence_code");
  std::string seqcode_value("0000");
  std::string type_key("type");
  std::string type_value("job");


  ClassAd *classad =  new ClassAd();
  CPPUNIT_ASSERT( classad );

  classad->InsertAttr(jobid_key,jobid_value);
  classad->InsertAttr(seqcode_key,seqcode_value);
  classad->InsertAttr(type_key,type_value);

  try{
    wm_real->submit(classad);
  }catch(glite::wms::jdl::CannotGetAttribute att_error){
    cerr << "Cannot retrieve " << att_error.reason() << endl;
  }

  delete classad;
}

void
WMReal_test::test_cancel()
{
  CPPUNIT_ASSERT( wm_real!=NULL );
}

