/*
Copyright (c) Members of the EGEE Collaboration. 2004.
See http://www.eu-egee.org/partners/ for details on the
copyright holders.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

/*
  
  WMReal header file
  
  Authors: Paolo Andreetto <paolo.andreetto@pd.infn.it>
  
  Version info: $Id: WMReal_cu_suite.h,v 1.2.38.1.6.2 2010/04/07 14:02:46 mcecchi Exp $
  Release: $Name: glite-wms-manager_R_3_4_0_6 $
  
 */

#include <cppunit/TestSuite.h>
#include <cppunit/TestCaller.h>
#include <cppunit/XmlOutputter.h>
#include <cppunit/TextOutputter.h>
#include <cppunit/extensions/HelperMacros.h>
#include <cppunit/ui/text/TestRunner.h>
#include <cppunit/TestRunner.h>
#include <cppunit/TestResult.h>
#include <cppunit/TestResultCollector.h>
#include <iostream>
#include "../src/common/WMImpl.h"
#include "../src/server/WMReal.h"
#include "classad_distribution.h"

using namespace CppUnit;
using namespace std;
using namespace glite::wms::manager::common;
using namespace glite::wms::manager::server;


class WMReal_test : public CppUnit::TestFixture {

CPPUNIT_TEST_SUITE( WMReal_test );
CPPUNIT_TEST( test_submit );
CPPUNIT_TEST( test_cancel );
CPPUNIT_TEST_SUITE_END();

private:
 WMImpl *wm_real; 
 
public:

 void setUp();
 void tearDown();
 void test_submit();
 void test_cancel();
};




